tbldel(1M)

NAME
tbldel - deletes an entry from an administrative table

SYNOPSIS

tbldel [-n NIS+|NIS|NONE] [-d domain | -h host]
-p primary_key_value [-s secondary_key_value]
table_name

DESCRIPTION
The Solstice tbldel command deletes an entry from the administrative tables.

OPTIONS

-n NIS+|NIS|NONE
    The name service containing the table. The default is NONE, which specifies local files.

-d domain
    The name service domain in which the table resides. Not used if name service is NONE. The default is the current domain.

-h host
    The host on which the table file resides. Not used if name service is NIS+ or NIS. The default is the current host.

-p primary_key_value
    The value in the primary key field for the entry being deleted. The primary key field can be found using tblls(1M).

-s secondary_key_value
    The value in the secondary key field for the entry being deleted. (Not all tables have secondary keys.) The secondary key field can be found using tblls(1M).

table_name
    The name of the table from which an entry is being deleted. The table name should be one of the names returned by tblls(1M).

ENVIRONMENT

See environ(5) for descriptions of the following
    environment variables that affect the execution of tbldel: LANG, LC_ALL, LC_CTYPE, and LC_MESSAGES.

ERRORS

The tbldel command exits with one of the following values:

0   Success.

1   Invalid command syntax. A usage message for the tbldel command is displayed.

2   An error occurred while executing the command. An exception code and error message are displayed.

FILES
/etc/passwd
/etc/locale
/etc/ethers
/etc/bootparams
/etc/group
/etc/auto_home
/etc/Policy_defaults
/etc/netgroup
/etc/rpc
/etc/timezone
/etc/inet/hosts
/etc/inet/netmasks
/etc/inet/networks
/etc/inet/services
/etc/inet/protocols
/etc/mail/aliases

SEE ALSO
tbladd(1M), tblls(1M), tblmod(1M)